Time (Apache Tomcat 9.0.75 API Documentation)

Package org.apache.tomcat.jni

## Class Time

- java.lang.Object
- - org.apache.tomcat.jni.Time

-     @Deprecated
      public class Time
      extends java.lang.Object

  Deprecated.
  The scope of the APR/Native Library will be reduced in Tomcat 10.1.x / Tomcat Native 2.x onwards to only include those components required to provide OpenSSL integration with the NIO and NIO2 connectors.
  Time
  Author:
    Mladen Turk

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static long` | `APR_MSEC_PER_USEC` | Deprecated. number of milliseconds per microsecond
    `static long` | `APR_USEC_PER_SEC` | Deprecated. number of microseconds per second

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Time()` | Deprecated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.lang.String` | `ctime​(long t)` | Deprecated. Formats dates in the ctime() format in an efficient manner.
    `static long` | `msec​(long t)` | Deprecated.
    `static long` | `now()` | Deprecated. number of microseconds since 00:00:00 January 1, 1970 UTC
    `static java.lang.String` | `rfc822​(long t)` | Deprecated. Formats dates in the RFC822 format in an efficient manner.
    `static long` | `sec​(long t)` | Deprecated.
    `static void` | `sleep​(long t)` | Deprecated. Sleep for the specified number of micro-seconds.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### APR_USEC_PER_SEC

          public static final long APR_USEC_PER_SEC

      Deprecated.
      number of microseconds per second
      See Also:
        Constant Field Values

    - #### APR_MSEC_PER_USEC

          public static final long APR_MSEC_PER_USEC

      Deprecated.
      number of milliseconds per microsecond
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Time

          public Time()

      Deprecated.

  - ### Method Detail

    - #### sec

          public static long sec​(long t)

      Deprecated.
      Parameters:
        `t` - The time
      Returns:
        apr_time_t as a second

    - #### msec

          public static long msec​(long t)

      Deprecated.
      Parameters:
        `t` - The time
      Returns:
        apr_time_t as a msec

    - #### now

          public static long now()

      Deprecated.
      number of microseconds since 00:00:00 January 1, 1970 UTC
      Returns:
        the current time

    - #### rfc822

          public static java.lang.String rfc822​(long t)

      Deprecated.
      Formats dates in the RFC822 format in an efficient manner.
      Parameters:
        `t` - the time to convert
      Returns:
        the formatted date

    - #### ctime

          public static java.lang.String ctime​(long t)

      Deprecated.
      Formats dates in the ctime() format in an efficient manner. Unlike ANSI/ISO C ctime(), apr_ctime() does not include a \n at the end of the string.
      Parameters:
        `t` - the time to convert
      Returns:
        the formatted date

    - #### sleep

          public static void sleep​(long t)

      Deprecated.
      Sleep for the specified number of micro-seconds.
      Warning : May sleep for longer than the specified time.
      Parameters:
        `t` - desired amount of time to sleep.